
Redmine - Defect #8955

404 Error when adding posts, issues, wiki edits

2011-08-01 06:36 - David Muir

Status: Closed Start date: 2011-08-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.1

Description

From forum posts:

v1.2.0 throws 302 http responses and then enters a 404 page

404 Error when adding posts, issues, wiki edits

Essentially, after adding submitting a POST request Redmine returns a 404 even though the URL is valid, and the POST data was

submitted successfully.

From the logs:

Processing MessagesController#reply (for 69.153.15.xxx at 2011-07-26 20:41:38) [POST]

  Parameters: {"board_id"=>"1", "commit"=>"Submit", "reply"=>{"subject"=>"RE: To do list", "conten

t"=>"asdfasdf"}, "action"=>"reply", "authenticity_token"=>"xxx", "id"=>"14", "controller"=>"messag

es", "attachments"=>{"1"=>{"description"=>""}}}

Redirected to http://mydomain.com/boards/1/topics/14?r=26

Completed in 105ms (DB: 80) | 302 Found [http://mydomain.com/boards/1/topics/14/replies]

Processing ApplicationController#index (for 69.153.15.xxx at 2011-07-26 20:41:39) [GET]

ActionController::RoutingError (No route matches "/internal_error.html" with {:method=>:get}):

  /dh/passenger/lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  /dh/passenger/lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:400:in `start_request_handler'

  /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:351:in `handle_spawn_applicatio

n'

  /dh/passenger/lib/phusion_passenger/utils.rb:184:in `safe_fork'

  /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:349:in `handle_spawn_applicatio

n'

  /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /dh/passenger/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /dh/passenger/lib/phusion_passenger/abstract_server.rb:163:in `start'

  /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:209:in `start'

  /dh/passenger/lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  /dh/passenger/lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  /dh/passenger/lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  /dh/passenger/lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  /dh/passenger/lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /dh/passenger/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /home/myuser/mydomain.com/redmine/public/404.html (404 Not Found)

History

#1 - 2011-08-01 23:27 - Michael Carriere
https://www.redmine.org/boards/2/topics/24487
https://www.redmine.org/boards/2/topics/25378


From our forum conversation, we were able to stop the issue from occurring if we disabled mod_security on our installations. Hopefully a fix can still

be sought with this issue, as it's discomforting to have to disable that in order to let redmine function.

Thanks!

#2 - 2017-01-08 02:15 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Since there is no redirection to 'internal_error.html' in the source code of Redmine, the problem was caused by other than Redmine.

#3 - 2017-01-09 12:16 - Toshi MARUYAMA

- Description updated
